from dropbox.oauth import DropboxOAuth2FlowNoRedirect

# App credentials
APP_KEY = "83q4frk9etlt0xl"
APP_SECRET = "b608slod639z5fx"

#By default, Dropbox issues short-lived access tokens (valid for 4 hours) without a refresh token.
#To get a refresh token, you must explicitly request offline access by setting token_access_type='offline'.

# Initialize the OAuth2 flow
auth_flow = DropboxOAuth2FlowNoRedirect(APP_KEY, APP_SECRET , token_access_type='offline')# Request a refresh token

# Generate the authorization URL
authorize_url = auth_flow.start()
print("1. Go to: ", authorize_url)
print('2. Click "Allow" (you might have to log in first).')
print('3. Copy the authorization code.')
auth_code = input("Enter the authorization code here: ").strip()
auth_code = "4i2OsWJIqRUAAAAAAAAASY9Xg6_qs2q47_dZhOYGbaE".strip()
# Exchange the authorization code for tokens
try:
    oauth_result = auth_flow.finish(auth_code)
    access_token = oauth_result.access_token
    refresh_token = oauth_result.refresh_token
    print("Access Token:", access_token)
    print("Refresh Token:", refresh_token)
except Exception as e:
    print(f"Error: {e}")